Bug 961066 - CVE-2009-3086 rubygem-actionpack: Message digest forgery [epel-5]
CVE-2009-3086 rubygem-actionpack: Message digest forgery [epel-5]
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: rubygem-actionpack (Show other bugs)
el5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Stahnke
Fedora Extras Quality Assurance
fst_owner=jrusnack
: Security, SecurityTracking
Depends On:
Blocks: CVE-2009-3086
  Show dependency treegraph
 
Reported: 2013-05-08 13:42 EDT by Vincent Danen
Modified: 2015-04-23 10:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-23 10:39:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-05-08 13:42:51 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

epel-5 tracking bug for rubygem-actionpack: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Vincent Danen 2013-05-08 13:42:58 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=522162,961066
Comment 2 Vincent Danen 2013-05-08 13:44:21 EDT
Based on https://bugzilla.redhat.com/show_bug.cgi?id=522162#c3 this was intended to be fixed 3 years ago, however that build never made it to EPEL5; it was deleted:

http://koji.fedoraproject.org/koji/buildinfo?buildID=169790

So this flaw is still present in EPEL5.
Comment 3 Michael Stahnke 2014-10-22 02:23:27 EDT
This is fixed in anything > 2.3.4.
Comment 4 Ján Rusnačko 2015-04-23 10:39:04 EDT
Confirming this is fixed in rubygem-activesupport-2.3.18-1.el5.noarch currently shipped in EPEL 5.

Closing ERRATA.

Note You need to log in before you can comment on or make changes to this bug.